Bug 688678 - (CVE-2011-1175) CVE-2011-1175 asterisk: DoS in TCP/TLS server due to NULL ptr deref (AST-2011-004)
CVE-2011-1175 asterisk: DoS in TCP/TLS server due to NULL ptr deref (AST-2011...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
public=20110316,reported=20110317,sou...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-17 13:25 EDT by Vincent Danen
Modified: 2011-05-16 17:27 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-16 17:27:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2011-03-17 13:25:46 EDT
AST-2011-004 [1] describes a remote crash vulnerability in the Asterisk TCP/TLS server.  If a remote, unauthenticated, attacker were to rapidly open and close TCP connections to services using the ast_tcptls_* API, they could cause Asterisk to crash after dereferencing a NULL pointer.  This flaw affects 1.6.2.x and 1.8.x, and is corrected in 1.6.2.17.1 and 1.8.3.1.

[1] http://downloads.asterisk.org/pub/security/AST-2011-004.pdf
Comment 1 Vincent Danen 2011-03-22 00:14:41 EDT
This is assigned CVE-2011-1175.
Comment 2 Vincent Danen 2011-05-16 17:27:00 EDT
This is corrected via these builds that have the fixes from upstream:

Fedora-13: asterisk-1.6.2.18-1.fc13
Fedora-14: asterisk-1.6.2.18-1.fc14
Fedora-15: asterisk-1.8.3.3-1.fc15
Fedora-Rawhide: asterisk-1.8.3.3-1.fc16
EPEL-6: asterisk-1.8.3.3-1.el6

Note You need to log in before you can comment on or make changes to this bug.